Name:    task-e17
Version: 2009.1
Release: %mkrel 8
Summary: Metapackage for the E17
Group:   Graphical desktop/Enlightenment
License: GPL
Epoch:	 1
URL:	 http://wiki.mandriva.com/en/Development/Ideas/E17
Source : %name.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

# prefered apps
Suggests: exaile
Suggests: file-roller
Suggests: gimp
Suggests: thunar
Suggests: midori
Suggests: xterm
Requires: %{name}-minimal
Requires: aumix
Requires: brasero
Requires: evince
Requires: gtk-chtheme
Requires: lftp
Requires: mrxvt
Requires: screen
#Requires: xchat
#Requires: pidgin

Requires: emphasis
Requires: expedite
Requires: elitaire
Requires: edb
Requires: elicit
Requires: edje_viewer
Requires: edje_editor
Requires: estickies
#Requires: enna # broken upstream
Requires: Eterm
Requires: entrance
Requires: extrackt
Requires: enity
Requires: e17_themes


%description
This package is a meta-package, meaning that its purpose is to contain
all E17 application and librairies. It also install some suggests

%package minimal
Summary: Metapackage minimal for the E17
Group:   Graphical desktop/Enlightenment
License: GPL
Provides: E17
Requires: Eterm
Requires: e
Requires: eet
Requires: edje
Requires: imlib2
Requires: emotion
Requires: epsilon
Requires: etk
Requires: efreet
Requires: ewl
Requires: itask
Requires: exalt
Requires: elementary
Requires: ecore
Requires: edb
Requires: eet
Requires: embryo
Requires: esmart
Requires: e_dbus
Requires: e_modules
#Requires: epeg
#Requires: ephoto
#Requires: exhibit
#Requires: engrave
#Requires: empower
#Requires: evfs
#Requires: eclair

%description minimal
This package is a meta-package, meaning that its purpose is to contain
all E17 application and librairies.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_prefix}/share/%name/doc/
cp README ${RPM_BUILD_ROOT}/%{_prefix}/share/%name/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/share/%name/doc/README

%files minimal
%defattr(-,root,root)
%{_prefix}/share/%name/doc/README


%changelog
* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:2009.1-8mdv2010.0
+ Revision: 445351
- rebuild

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-7mdv2009.1
+ Revision: 348801
- add e17_themes requires

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-6mdv2009.1
+ Revision: 348468
- remove broken apps

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-5mdv2009.1
+ Revision: 348104
- add extrackt and enity deps

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-4mdv2009.1
+ Revision: 348011
- update requires and suggests

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-3mdv2009.1
+ Revision: 347776
- add missing tag summary
- re-order requires
- update
- fix requires
- fix %%description for the minimal package
- fix sub package minimal
- create a task-e17-minimal meta package

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-2mdv2009.1
+ Revision: 347359
- disable non uptodate E17 applications

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 345584
- remove firefox, use midori instead, remove requires on epeg (tag as OLD in E's svn)

* Mon Sep 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 282557
- bump version

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-6mdv2009.0
+ Revision: 261378
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-5mdv2009.0
+ Revision: 254148
- rebuild

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 179355
- add itask requires

* Tue Feb 19 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 173134
- remove evas requires, use mrxvt terminal

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168799
- do some adjustement in requires and suggests

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Antoine Ginies <aginies@mandriva.com> 2008-6mdv2008.0
+ Revision: 78507
- remove unstable E apps

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-4mdv2008.0
+ Revision: 33240
- fix mozilla-firefox requires

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-3mdv2008.0
+ Revision: 33181
- increase mkrel
- add expedite, emphasis, extrackt, terminal and gtk-chtheme requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-2mdv2008.0
+ Revision: 32584
- remmove enhance requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-1mdv2008.0
+ Revision: 32416
- fix spec file
- add some requires
- first release
- Import task-e17

